Subject: [bug#51947] [PATCH core-updates-frozen 0/2] Fix xf86-video-mach64 and xf86-video-nouveau builds.

From: Josselin Poiret <[email-masked]>
Date: Thu, 18 Nov 2021 14:04:01 +0000

Hello everyone,

This patchset fixes compilation for both xf86-video drivers that
wouldn't build with xorg-server 21.1 because some variables were
renamed.  The first is home-made while the second is an upstream patch
that hasn't found its way to a release yet.

They both successfully build on my machine, although I can't test
either of them.  Given the nature of the changes, this shouldn't be
too much of an issue.

Happy sprinting,
Josselin

Josselin Poiret (2):
  gnu: xf86-video-mach64: Patch to build with xorg-server 21.1.
  gnu: xf86-video-nouveau: Use upstream patch for xorg-server 21.1.

 .../xf86-video-mach64-bool-to-boolean.patch   | 79 +++++++++++++++++++
 .../xf86-video-nouveau-fixup-ABI.patch        | 64 +++++++++++++++
 gnu/packages/xorg.scm                         |  6 +-
 3 files changed, 147 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/xf86-video-mach64-bool-to-boolean.patch
 create mode 100644 gnu/packages/patches/xf86-video-nouveau-fixup-ABI.patch

-- 
2.33.1